Error (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.tomcat.jni, class: Error

# Class Error

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.tomcat.jni.Error

All Implemented Interfaces:
  `Serializable`

@Deprecated public class Error extends Exception
Deprecated.
Unused. Will be removed in Tomcat 9.1 an has been removed in Tomcat 10.1.
Error

Author:
  Mladen Turk
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Deprecated.
  Get the APR description of the exception.
  `int`
  `getError()`
  Deprecated.
  Get the APR error code of the exception.
  `static int`
  `netosError()`
  Deprecated.
  Get the last platform socket error.
  `static int`
  `osError()`
  Deprecated.
  Get the last platform error.
  `static String`
  `strerror(int statcode)`
  Deprecated.
  Return a human readable string describing the specified error.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getError

    public int getError()
    Deprecated.
    Get the APR error code of the exception.
    Returns:
      error of the Exception

  - ### getDescription

    public String getDescription()
    Deprecated.
    Get the APR description of the exception.
    Returns:
      description of the Exception

  - ### osError

    public static int osError()
    Deprecated.
    Get the last platform error.
    Returns:
      apr_status_t the last platform error, folded into apr_status_t, on most platforms This retrieves errno, or calls a GetLastError() style function, and folds it with APR_FROM_OS_ERROR. Some platforms (such as OS2) have no such mechanism, so this call may be unsupported. Do NOT use this call for socket errors from socket, send, recv etc!

  - ### netosError

    public static int netosError()
    Deprecated.
    Get the last platform socket error.
    Returns:
      the last socket error, folded into apr_status_t, on all platforms This retrieves errno or calls a GetLastSocketError() style function, and folds it with APR_FROM_OS_ERROR.

  - ### strerror

    public static String strerror(int statcode)
    Deprecated.
    Return a human readable string describing the specified error.
    Parameters:
      `statcode` - The error code the get a string for.
    Returns:
      The error string.